#
# sgtclr.rb
#
# $Id: sgtclr.rb,v 1.1 2000/11/21 03:02:08 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include Math


NP = 5
NT = 10
DD = 0.07
DS = 0.003
DX = DD+DS*2
DY = 1.0 / NT

#-- data ---
xbox = NArray[0.0, 1.0, 1.0, 0.0, 0.0]
ybox = NArray[0.0, 0.0, 1.0, 1.0, 0.0]

#-- graph ---
iw = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gliset('MAXMSG', 300)
sgopn iw

sglset('LFULL', true)
sglset('LSOFTF', false)
sgiset('INDEX', 1)
slrat(0.85, 1.0)
slmgn(0.0, 0.0, 0.05, 0.1)
slsttl('TEST OF SGTONE', 'T', 0.0, -0.5, 0.025, 1)

sgfrm

sgswnd(0.0, 1.0, 0.0, 1.0)
sgstrn(1)

for j in 0..9
  for i in 0..9
    x1=DX*i+DS+(1-DX*NT)/2
    x2=x1+DD
    y1=DY*(9-j)+DS
    y2=y1+DD
    level=(i+j*10)*1000+999
    sgsvpt(x1, x2, y1, y2)
    sgstrf
    chr = format("%5d", level)
    sgtnzu(xbox, ybox, level)
    sgplzu(xbox, ybox, 1, 1)
    sgtxzv(x2, y2+(DY-DD)/2, chr, 0.01, 0, 1, 1)
  end
end

sgcls

