#
# uspk11.rb
#
# $Id: uspk11.rb,v 1.1 2000/11/22 14:36:03 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include Math


N = 181
N1 = 26
N2 = 7
NC = 4
t = NArray.sfloat(N)
y = NArray.sfloat(N)
ux1 = NArray.sfloat(N1)

#-----------------------------------------------------------------------
ch = ['JAN', 'FEB', 'MAR', 'APL', 'JUN', 'JULY', '   ']
ux2 = NArray[0.0, 31.0, 59.0, 90.0, 120.0, 151.0, 181.0]

r = 0.2
a = 4.0
y[0] = 120.0
t.indgen(0.5, 1.0)
for i in 1..N-1
  r = a*r*(1.0-r)
  y[i] = y[i-1] + (r-0.46)*2
end

ux1.indgen(1.0, 7.0)

#-----------------------------------------------------------------------
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i

rundef = glrget('RUNDEF')
uslset('LYINV', true)

gropn iws

grfrm

grswnd(0.0, 181.0, rundef, rundef)
grsvpt(0.2, 0.8, 0.2, 0.8)
grstrn(1)

usspnt(rundef, y)
uspfit

grstrf

#------------------------------- Y-AXIS --------------------------------
usyaxs('L')
usyaxs('R')
uysttl('L', 'YEN/DOLLAR', 0.0)

#------------------------------- X-AXIS --------------------------------
uzlset('LBTWN', true)
uxaxlb('B', ux1, ux2, ch, NC)
uxaxlb('T', ux1, ux2, ch, NC)
uxsttl('T', 'EXCHANGE RATE', 0.0)

#-------------------------------- LINE ---------------------------------
sgplu(t, y)

grcls

