#
# kihon3.rb
#   $Id: kihon3.rb,v 1.3 2000/11/18 19:03:32 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include Math

NMAX = 40
IMAX = 7
DT = 4.0*PI/NMAX

x = NArray.sfloat(NMAX+1)
y = NArray.sfloat(NMAX+1, IMAX)

#-- data ----
x = x.indgen * 1.0/NMAX
for n in 0..NMAX
  for i in 0..IMAX-1
    y[n,i] = 0.2*sin(n*DT) + 0.8 - 0.1*i
  end
end

#-- graph ----
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn iws

#-- marker type : frame 1 --
sgfrm
slpvpr(1) 

sgpmv(x, y[true,0])

for i in 1..IMAX-1
  itype = i + 1
  sgspmt(itype)
  sgpmv(x, y[true,i])
end

#-- marker size : frame 2 --
sgfrm
slpvpr(1) 

sgspmt(10)
sgpmv(x, y[true,0])

for i in 1..IMAX-1
  rsize = 0.005*i
  sgspms(rsize)
  sgpmv(x, y[true,i])
end

sgcls

