#
# kihona.rb
#   $Id: kihona.rb,v 1.2 2000/11/18 19:03:34 keiko Exp $
#


require "narray"
require "numru/dcl"
include NumRu::DCL
include NMath


NMAX = 40
XMIN = 0.0
XMAX = 4*PI
YMIN = -1.0
YMAX = 1.0
x = NArray.sfloat(NMAX+1)
y = NArray.sfloat(NMAX+1)

#-- data ---
dt = XMAX/NMAX
x = x.indgen * dt
y = sin(x)

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
sgopn iws

sgfrm

sglset('LCHAR', true)

#-- ٥Ĥޤ ----
sgswnd(XMIN, XMAX, YMIN, YMAX)
sgsvpt(0.0, 1.0, 0.9, 1.0)
sgstrn(1)
sgstrf

sgsplc('A')
sgsplt(1)
sgplu(x, y)

#-- ٥: A,B,C,... ----
for i in 1..2
  vymin = 0.9 - 0.1*i
  vymax = vymin + 0.1
  sgswnd(XMIN, XMAX, YMIN, YMAX)
  sgsvpt(0.0, 1.0, vymin, vymax)
  sgstrn(1)
  sgstrf

  sgnplc
  sgplu(x, y)
end

#-- ٥: K=1,K=2,... ----
sgsplc('K=1')

for i in 3..4
  vymin = 0.9 - 0.1*i
  vymax = vymin + 0.1
  sgswnd(XMIN, XMAX, YMIN, YMAX)
  sgsvpt(0.0, 1.0, vymin, vymax)
  sgstrn(1)
  sgstrf

  sgsplt(i-1)
  sgplu(x, y)
  sgnplc
end

sgsplt(1)

#--  ٥ʸι⤵ ----
sgswnd(XMIN, XMAX, YMIN, YMAX)
sgsvpt(0.0, 1.0, 0.4, 0.5)
sgstrn(1)
sgstrf

sgspls(0.01)
sgsplc('small')
sgplu(x, y)

sgspls(0.02)

#--  ٥γ ----
sgswnd(XMIN, XMAX, YMIN, YMAX)
sgsvpt(0.0, 1.0, 0.3, 0.4)
sgstrn(1)
sgstrf

sglset('LROT', true)
sgiset('IROT', 90)
sgsplc('ROT')
sgplu(x, y)

sglset('LROT', false)

#--  ٥δֳ ----
sgswnd(XMIN, XMAX, YMIN, YMAX)
sgsvpt(0.0, 1.0, 0.2, 0.3)
sgstrn(1)
sgstrf

sgrset('CWL', 5.0)
sgsplc('CWL')
sgplu(x, y)

sgrset('CWL', 30.0)

#--  ٥ν񤭻Ϥ ----
sgswnd(XMIN, XMAX, YMIN, YMAX)
sgsvpt(0.0, 1.0, 0.1, 0.2)
sgstrn(1)
sgstrf

sgrset('FFCT', 0.9)
sgsplc('FCT')
sgplu(x, y)

sgcls

