#
# map3d3.rb
#   $Id: map3d3.rb,v 1.1 2000/11/18 19:03:39 keiko Exp $
#


require "narray"
require "numru/dcl"
include NumRu::DCL
include Math

NX = 16
NY = 16
XMIN = 120
XMAX = 150
YMIN = 20
YMAX = 50
FACT = 0.21
u = NArray.sfloat(NX, NY)
v = NArray.sfloat(NX, NY)
alon = NArray.sfloat(NX)
alat = NArray.sfloat(NY)

#-- data ---
for i in 0..NX-1
  alon[i] = XMIN + (XMAX-XMIN)*i/(NX-1).to_f
end
for j in 0..NY-1
  alat[j] = YMIN + (YMAX-YMIN)*j/(NY-1).to_f
end

for j in 0..NY-1
  for i in 0..NX-1
    u[i,j] =   (j-(NY-1)/2.0) * FACT
    v[i,j] = - (i-(NX-1)/2.0) * FACT
  end
end

#-- graph ---
iws = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gropn iws

grfrm
sglset('LCLIP', true)

grswnd(XMIN, XMAX, YMIN, YMAX)
grsvpt(0.1, 0.9, 0.1, 0.9)
grstrn(10)
umpfit
grstrf

slpvpr(3)
umrset('DGRIDMJ', 10.0)
umrset('DGRIDMN', 2.0)
umpmap('coast_world')
umpglb

sgslai(3)
for j in 0..NY-1
  for i in 0..NX-1
    sglau(alon[i], alat[j], alon[i]+u[i,j], alat[j]+v[i,j])
  end
end

grcls

