#
# sgtclr.rb
#
# $Id: sgtclr.rb,v 1.1 2000/11/21 03:15:36 keiko Exp $
#

require "narray"
require "numru/dcl"

include NumRu::DCL
include NMath


np = 5
nt = 10
dd = 0.07
ds = 0.003
dx = dd+ds*2
dy = 1.0 / nt

#-- data ---
xbox = NArray[0.0, 1.0, 1.0, 0.0, 0.0]
ybox = NArray[0.0, 0.0, 1.0, 1.0, 0.0]

#-- graph ---
iw = (ARGV[0] || (puts ' WORKSTATION ID (I)  ? ;'; sgpwsn; gets)).to_i
gliset('MAXMSG', 300)
sgopn iw

sglset('LFULL', true)
sglset('LSOFTF', false)
sgiset('INDEX', 1)
slrat(0.85, 1.0)
slmgn(0.0, 0.0, 0.05, 0.1)
slsttl('TEST OF SGTONE', 'T', 0.0, -0.5, 0.025, 1)

sgfrm

sgswnd(0.0, 1.0, 0.0, 1.0)
sgstrn(1)

for j in 0..9
  for i in 0..9
    x1=dx*i+ds+(1-dx*nt)/2
    x2=x1+dd
    y1=dy*(9-j)+ds
    y2=y1+dd
    level=(i+j*10)*1000+999
    sgsvpt(x1, x2, y1, y2)
    sgstrf
    chr = format("%5d", level)
    sgtnzu(np, xbox, ybox, level)
    sgplzu(np, xbox, ybox, 1, 1)
    sgtxzv(x2, y2+(dy-dd)/2, chr, 0.01, 0, 1, 1)
  end
end

sgcls

